variables:
  CLICKABLE_FRAMEWORK: "ubuntu-sdk-20.04"
build:
  artifacts:
    expire_in: 4 week
    paths:
      - lomiri-ui-toolkit/examples/lomiri-ui-toolkit-gallery/build/all/app/*.click
  image: "clickable/ci-20.04-armhf"
  rules:
    - if: $CI_COMMIT_TAG == null
  script:
    - git clone -b main --single-branch --depth 1 https://gitlab.com/ubports/development/core/lomiri-ui-toolkit.git
    - cd lomiri-ui-toolkit/examples/lomiri-ui-toolkit-gallery
    - CLICKABLE_ENV_PROJECT_VERSION=${CI_COMMIT_TAG:1} clickable build --clean --accept-review-errors

publish:
  artifacts:
    expire_in: 4 week
    paths:
      - lomiri-ui-toolkit/examples/lomiri-ui-toolkit-gallery/build/all/app/*.click
  image: "clickable/ci-20.04-armhf"
  rules:
    - if: $CI_COMMIT_TAG
  script:
    - git clone -b main --single-branch --depth 1 https://gitlab.com/ubports/development/core/lomiri-ui-toolkit.git
    - cd lomiri-ui-toolkit/examples/lomiri-ui-toolkit-gallery
    - CLICKABLE_ENV_PROJECT_VERSION=${CI_COMMIT_TAG:1} clickable build --clean --accept-review-errors
    - clickable publish "$CI_COMMIT_MESSAGE"
